Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.application.configuration
Class ConstantValueExpression

    java.lang.Object
      javax.el.Expression
          javax.el.ValueExpression
              org.richfaces.application.configuration.ConstantValueExpression

All Implemented Interfaces:
  java.io.Serializable

    public class ConstantValueExpression

extends javax.el.ValueExpression

Author:
  Nick Belaevski
See Also:
  Serialized Form

Constructor Summary
`ConstantValueExpression(java.lang.Object value)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.Class<?>` | `getExpectedType()`
`java.lang.String` | `getExpressionString()`
`java.lang.Class<?>` | `getType(javax.el.ELContext context)`
`java.lang.Object` | `getValue(javax.el.ELContext context)`
`int` | `hashCode()`
`boolean` | `isLiteralText()`
`boolean` | `isReadOnly(javax.el.ELContext context)`
`void` | `setValue(javax.el.ELContext context, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConstantValueExpression

    public ConstantValueExpression(java.lang.Object value)

Method Detail

### getValue

    public java.lang.Object getValue(javax.el.ELContext context)

  Specified by:
    `getValue` in class `javax.el.ValueExpression`

### setValue

    public void setValue(javax.el.ELContext context,
                         java.lang.Object value)

  Specified by:
    `setValue` in class `javax.el.ValueExpression`

### isReadOnly

    public boolean isReadOnly(javax.el.ELContext context)

  Specified by:
    `isReadOnly` in class `javax.el.ValueExpression`

### getType

    public java.lang.Class<?> getType(javax.el.ELContext context)

  Specified by:
    `getType` in class `javax.el.ValueExpression`

### getExpectedType

    public java.lang.Class<?> getExpectedType()

  Specified by:
    `getExpectedType` in class `javax.el.ValueExpression`

### getExpressionString

    public java.lang.String getExpressionString()

  Specified by:
    `getExpressionString` in class `javax.el.Expression`

### isLiteralText

    public boolean isLiteralText()

  Specified by:
    `isLiteralText` in class `javax.el.Expression`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `javax.el.Expression`

### equals

    public boolean equals(java.lang.Object obj)

  Specified by:
    `equals` in class `javax.el.Expression`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.